Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.swt.custom
Class CTabItem

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Item
              org.eclipse.swt.custom.CTabItem

public class CTabItem
extends Item

Instances of this class represent a selectable user interface object that represent a page in a notebook widget.

Styles:
  SWT.CLOSE
Events:
  (none)

IMPORTANT: This class is not intended to be subclassed.

Constructor Summary
`CTabItem(CTabFolder parent, int style)` Constructs a new instance of this class given its parent (which must be a `CTabFolder`) and a style value describing its behavior and appearance.
`CTabItem(CTabFolder parent, int style, int index)` Constructs a new instance of this class given its parent (which must be a `CTabFolder`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

Method Summary
`void` | `dispose()` Disposes of the operating system resources associated with the receiver and all its descendents.
`Rectangle` | `getBounds()` Returns a rectangle describing the receiver's size and location relative to its parent.
`Control` | `getControl()` Gets the control that is displayed in the content are of the tab item.
`Image` | `getDisabledImage()` Deprecated. the disabled image is not used
`Font` | `getFont()` Returns the font that the receiver will use to paint textual information.
`CTabFolder` | `getParent()` Returns the receiver's parent, which must be a `CTabFolder`.
`String` | `getToolTipText()` Returns the receiver's tool tip text, or null if it has not been set.
`boolean` | `isShowing()` Returns `true` if the item will be rendered in the visible area of the CTabFolder.
`void` | `setControl(Control control)` Sets the control that is used to fill the client area of the tab folder when the user selects the tab item.
`void` | `setDisabledImage(Image image)` Deprecated. This image is not used
`void` | `setFont(Font font)` Sets the font that the receiver will use to paint textual information for this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.
`void` | `setImage(Image image)` Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.
`void` | `setText(String string)` Sets the receiver's text.
`void` | `setToolTipText(String string)` Sets the receiver's tool tip text to the argument, which may be null indicating that no tool tip text should be shown.

Methods inherited from class org.eclipse.swt.widgets.Item
`checkSubclass, getImage, getText`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, getData, getData, getDisplay, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CTabItem

    public CTabItem(CTabFolder parent,
                    int style)

  Constructs a new instance of this class given its parent (which must be a `CTabFolder`) and a style value describing its behavior and appearance. The item is added to the end of the items maintained by its parent.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a CTabFolder which will be the parent of the new instance (cannot be null)
  `style` - the style of control to construct
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
See Also:
  `SWT`, `Widget.getStyle()`

### CTabItem

    public CTabItem(CTabFolder parent,
                    int style,
                    int index)

  Constructs a new instance of this class given its parent (which must be a `CTabFolder`), a style value describing its behavior and appearance, and the index at which to place it in the items maintained by its parent.

  The style value is either one of the style constants defined in class `SWT` which is applicable to instances of this class, or must be built by bitwise OR'ing together (that is, using the `int` "|" operator) two or more of those `SWT` style constants. The class description lists the style constants that are applicable to the class. Style bits are also inherited from superclasses.

Parameters:
  `parent` - a CTabFolder which will be the parent of the new instance (cannot be null)
  `style` - the style of control to construct
  `index` - the index to store the receiver in its parent
Throws:
  `IllegalArgumentException` -
  - ERROR_NULL_ARGUMENT - if the parent is null
  `SWTException` -
  - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the parent
See Also:
  `SWT`, `Widget.getStyle()`

Method Detail

### dispose

    public void dispose()

  Description copied from class: `Widget`
  Disposes of the operating system resources associated with the receiver and all its descendents. After this method has been invoked, the receiver and all descendents will answer `true` when sent the message `isDisposed()`. Any internal connections between the widgets in the tree will have been removed to facilitate garbage collection.

  NOTE: This method is not called recursively on the descendents of the receiver. This means that, widget implementers can not detect when a widget is being disposed of by re-implementing this method, but should instead listen for the `Dispose` event.

  Overrides:
    `dispose` in class `Widget`
  See Also:
    `Widget.addDisposeListener(org.eclipse.swt.events.DisposeListener)`, `Widget.removeDisposeListener(org.eclipse.swt.events.DisposeListener)`, `Widget.checkWidget()`

### getBounds

    public Rectangle getBounds()

  Returns a rectangle describing the receiver's size and location relative to its parent.

  Returns:
    the receiver's bounding column rectangle
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getControl

    public Control getControl()

  Gets the control that is displayed in the content are of the tab item.

  Returns:
    the control
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getDisabledImage

    public Image getDisabledImage()

  Deprecated. the disabled image is not used

  Get the image displayed in the tab if the tab is disabled.

  Returns:
    the disabled image or null
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getFont

    public Font getFont()

  Returns the font that the receiver will use to paint textual information.

  Returns:
    the receiver's font
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### getParent

    public CTabFolder getParent()

  Returns the receiver's parent, which must be a `CTabFolder`.

  Returns:
    the receiver's parent
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### getToolTipText

    public String getToolTipText()

  Returns the receiver's tool tip text, or null if it has not been set.

  Returns:
    the receiver's tool tip text
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### isShowing

    public boolean isShowing()

  Returns `true` if the item will be rendered in the visible area of the CTabFolder. Returns false otherwise.

  Returns:
    `true` if the item will be rendered in the visible area of the CTabFolder. Returns false otherwise.
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### setControl

    public void setControl(Control control)

  Sets the control that is used to fill the client area of the tab folder when the user selects the tab item.

  Parameters:
    `control` - the new control (or null)
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the control has been disposed
    - ERROR_INVALID_PARENT - if the control is not in the same widget tree
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setDisabledImage

    public void setDisabledImage(Image image)

  Deprecated. This image is not used

  Sets the image that is displayed if the tab item is disabled. Null will clear the image.

  Parameters:
    `image` - the image to be displayed when the item is disabled or null
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

### setFont

    public void setFont(Font font)

  Sets the font that the receiver will use to paint textual information for this item to the font specified by the argument, or to the default font for that kind of control if the argument is null.

  Parameters:
    `font` - the new font (or null)
  Throws:
    `IllegalArgumentException` -
    - ERROR_INVALID_ARGUMENT - if the argument has been disposed
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver
  Since:
    3.0

### setImage

    public void setImage(Image image)

  Description copied from class: `Item`
  Sets the receiver's image to the argument, which may be null indicating that no image should be displayed.

  Overrides:
    `setImage` in class `Item`
  Parameters:
    `image` - the image to display on the receiver (may be null)

### setText

    public void setText(String string)

  Description copied from class: `Item`
  Sets the receiver's text.

  Overrides:
    `setText` in class `Item`
  Parameters:
    `string` - the new text

### setToolTipText

    public void setToolTipText(String string)

  Sets the receiver's tool tip text to the argument, which may be null indicating that no tool tip text should be shown.

  Parameters:
    `string` - the new tool tip text (or null)
  Throws:
    `SWTException` -
    - ERROR_WIDGET_DISPOSED - if the receiver has been disposed
    - ERROR_THREAD_INVALID_ACCESS - if not called from the thread that created the receiver

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.